#
# spec file for package perftest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define extra_version -0.17.g5eba807

Name:           perftest
Summary:        IB Performance tests
License:        BSD-3-Clause or GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Version:        2.2
Release:        3.5
Source0:        http://www.openfabrics.org/downloads/perftest/%{name}-%{version}%{extra_version}.tar.gz
Patch1:         perftest-s390.patch
Patch2:         perftest-use_optflags.patch
Patch3:         perftest-fix_segfault_at_end_of_test.patch
Patch4:         perftest-aarch64.patch
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libibumad-devel
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
BuildRequires:  libtool

%description
gen2 uverbs microbenchmarks


%prep
%setup -q -n %{name}-%{version}
%patch1
%patch2
%patch3 -p1
%patch4 -p1

chmod -x src/*

%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1
chmod -x runme

%install
make DESTDIR=%{buildroot} install

%clean

%files
%defattr(-, root, root)
%doc README COPYING runme
%{_bindir}/ib_atomic_lat
%{_bindir}/ib_atomic_bw
%{_bindir}/ib_write_lat
%{_bindir}/ib_write_bw
%{_bindir}/ib_send_lat
%{_bindir}/ib_send_bw
%{_bindir}/ib_read_lat
%{_bindir}/ib_read_bw

%changelog
* Sun Oct 11 2015 dmueller@suse.com
- add perftest-aarch64.patch (fate#318444): Fix build
  for aarch64
* Mon Sep 14 2015 pth@suse.de
- Add patch from GIT that fixes the segfault when running
  'ib_send_bw -z' (bsc#945017).
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Wed May 21 2014 pth@suse.de
- Update to 2.2-0.17.g5eba807 from OFED 3.12 RC3. No log of changes
  included.
* Fri May 16 2014 pth@suse.de
- Redo perftest-s390.patch to just mark code __s390x__ || __s390__,
  i.e. applies to both 64 and 31 bit.
* Thu May 15 2014 pth@suse.de
- Remove perftest-s390.patch as the patch has been applied
  upstream.
* Tue May 13 2014 pth@suse.de
- Update to 2.2-0.16.g8406133 from OFED 3.12 rc2. No change log
  present.
- Refresh perftest-use_optflags.patch to match source.
* Thu Apr 10 2014 stefan.fent@suse.com
- merge the changes from ro (2014-03-20)
  in perftest-s390.patch and the changelog to the current version
  in Devel:OFED:3.12
* Fri Apr  4 2014 pth@suse.de
- Add two binaries to file list.
* Wed Mar 19 2014 ro@suse.de
- fix s390 patch to accept s390 additional to s390x
* Wed Feb 26 2014 pth@suse.de
- Update to 2.0-0.80.g54c73c6 from the latest 3.12-daily.
  No Changelog present.
- Add perftest-use_optflags.patch so that compilation uses
  RPM_OPT_FLAGS
* Thu Feb 13 2014 pth@suse.de
- Update to 2.0-0.76.gbf9a463 for fate#315488, no changelog present.
* Mon Jan 20 2014 pth@suse.de
- Update to 2.0-0.63.g5bb5fe6 from OFED 3.12.
- Make program list explicit.
- Add perftest-s390.patch for s390 support.
- libibumad-devel is now also required.
- Use complete source URL.
* Wed Jan 15 2014 pth@suse.de
- Use spdx.org format for license specification.
* Mon Sep 24 2012 pth@suse.de
- Update to the perftest version form OFED 1.5.4.2
- Simplify %%%%install section.
* Tue May  8 2012 pth@suse.de
- BuildRequire automake, autoconf and libtool.
* Wed Oct 26 2011 pth@suse.de
- Update to the perftest version from OFED 1.5.4 (bnc#710754).
* Fri Oct 29 2010 stefan.fent@novell.com
- correct requires to libibumad (revert 1st part of last change)
* Thu Oct 28 2010 jjolly@novell.com
- Added dependency to libibumad3
- Removed ib_ prefix from rdma_lat and rdma_bw
* Mon Oct 25 2010 jjolly@novell.com
- Update to v1.3.0 from OFED 1.4.2
* Fri Dec 12 2008 jjolly@suse.de
- Updated to package from OFED 1.4 GA
  - Added option not to fail on cpuFreq module
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
- Removed execute right from README and COPYING
* Thu Sep 25 2008 jjolly@suse.de
- Excluded s390 and s390x as they do not have a get_cycles api
* Sun Mar  2 2008 - jjolly@suse.de
- Updated to package from the OFED 1.3 GA release
* Mon Aug 20 2007 hvogel@suse.de
- Update 2.6.20 patch to the official one
* Tue Aug  7 2007 hvogel@suse.de
- Update to version from OFED 1.2c
* Sun Jul  8 2007 - hvogel@suse.de
- Use correct version
* Tue Jul  3 2007 - hvogel@suse.de
- Add GPL COPYING file [#289509]
* Sun Jul  1 2007 - hvogel@suse.de
- Update to the OFED 1.2 version
* Thu Jun 21 2007 - hvogel@suse.de
- Initial Package, Version 1.1
